using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_47_0;

[TestClass]
public class BIORAD4
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_47_0.BIORAD4 _BIORAD4;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_47_0.BIORAD4.ClassInitialize(testContext);
        _BIORAD4 = CreateSelfDescription.Staging.v2_47_0.BIORAD4.EAFLoggingUnitTesting;
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__txt() => _BIORAD4.Staging__v2_47_0__BIORAD4__txt();

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__txt637730081979221342__Normal()
    {
        bool validatePDSF = false;
        string check = "*DataBioRad.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__txt();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);

        _ = Shared.AdaptationTesting.GetLogisticsColumnsAndBody(variables[2], variables[4]);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);

        _ = fileRead.ReExtract();
        Shared.AdaptationTesting.UpdatePassDirectory(variables[2]);
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__txt637818036815840307__ProcessFailed()
    {
        bool validatePDSF = false;
        string check = "*DataBioRad.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__txt();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        _ = fileRead.ReExtract();
        Shared.AdaptationTesting.UpdatePassDirectory(variables[2]);
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__txt637746296480404920__Failure()
    {
        bool validatePDSF = false;
        string check = "*DataBioRad.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__txt();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        _ = fileRead.ReExtract();
        Shared.AdaptationTesting.UpdatePassDirectory(variables[2]);
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__Stratus() => _BIORAD4.Staging__v2_47_0__BIORAD4__Stratus();

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__Stratus637730081979221342__RDS()
    {
        bool validatePDSF = false;
        string check = "CassetteDataBioRad_*.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__Stratus();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics);
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__Stratus637730081979221342__1TRDS()
    {
        bool validatePDSF = false;
        string check = "CassetteDataBioRad_*.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__Stratus();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics);
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__Stratus637733400573863329__ReactorAndRDS()
    {
        DateTime dateTime;
        bool validatePDSF = false;
        string check = "CassetteDataBioRad_*.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__Stratus();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, "11/24/21  08:39");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__Stratus637818036815840307__ProcessFailed()
    {
        bool validatePDSF = false;
        string check = "CassetteDataBioRad_*.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__Stratus();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        _ = fileRead.ReExtract();
        Shared.AdaptationTesting.UpdatePassDirectory(variables[2]);
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__QS408M() => _BIORAD4.Staging__v2_47_0__BIORAD4__QS408M();

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_47_0__BIORAD4__Stratus638010209430211312__MissingRecipe()
    {
        bool validatePDSF = false;
        string check = "CassetteDataBioRad_*.txt";
        _BIORAD4.Staging__v2_47_0__BIORAD4__Stratus();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD4.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD4.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        _ = fileRead.ReExtract();
        Shared.AdaptationTesting.UpdatePassDirectory(variables[2]);
    }

}