namespace Adaptation.FileHandlers.Stratus;

public class Descriptor
{

    public string Cassette { get; private set; }
    public string Employee { get; private set; }
    public string Layer { get; private set; }
    public string PSN { get; private set; }
    public string RDS { get; private set; }
    public string Reactor { get; private set; }
    public string Zone { get; private set; }

    public Descriptor(string cassette, string employee, string layer, string psn, string rds, string reactor, string zone)
    {
        Cassette = cassette;
        Employee = employee;
        Layer = layer;
        PSN = psn;
        RDS = rds;
        Reactor = reactor;
        Zone = zone;
    }

}