using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_39_0;

[TestClass]
public class BIORAD5
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_39_0.BIORAD5 _BIORAD5;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_39_0.BIORAD5.ClassInitialize(testContext);
        _BIORAD5 = CreateSelfDescription.Staging.v2_39_0.BIORAD5.EAFLoggingUnitTesting;
    }

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__BIORAD5__txt() => _BIORAD5.Staging__v2_39_0__BIORAD5__txt();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__BIORAD5__txt637805172599370243__Why()
    {
        DateTime dateTime;
        string check = "*DataBioRad.txt";
        _BIORAD5.Staging__v2_39_0__BIORAD5__txt();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD5.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _BIORAD5.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, "11/24/21  08:39");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
    }

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__BIORAD5__Stratus() => _BIORAD5.Staging__v2_39_0__BIORAD5__Stratus();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__BIORAD5__Stratus637738592809956919__ReactorAndRDS()
    {
        DateTime dateTime;
        string check = "CassetteDataBioRad_*.txt";
        _BIORAD5.Staging__v2_39_0__BIORAD5__Stratus();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD5.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _BIORAD5.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, "11/24/21  08:39");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
    }

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__BIORAD5__Stratus637805172599370243__Why()
    {
        DateTime dateTime;
        string check = "CassetteDataBioRad_*.txt";
        _BIORAD5.Staging__v2_39_0__BIORAD5__Stratus();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD5.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _BIORAD5.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.Stratus.ProcessData.GetDateTime(logistics, "11/24/21  08:39");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
    }

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__BIORAD5__QS408M() => _BIORAD5.Staging__v2_39_0__BIORAD5__QS408M();

}